// 获取token
export function getToken() {
	return uni.getStorageSync('token');
}
// 储存token
export function setToken(token) {
	uni.setStorageSync('token', token);
}
// 删除token
export function clearToken() {
	uni.removeStorageSync('token')

}
// 判断用户是否登录
export function getUserInfo() {
	return isLogined() ? JSON.parse(uni.getStorageSync('user_info')) : {};
}
// 把用户登录信息存到本地
export function setUserInfo(user_info) {
	return uni.setStorageSync('user_info', JSON.stringify(user_info));

}
// 把用户定位信息存到本地
export function maps(map) {
	return uni.setStorageSync('maps', JSON.stringify(map));
}
// 删除登录信息
export function clearUserInfo() {
	return uni.removeStorageSync('user_info');
}
// 判断是否有token
export function isLogined() {
	return getToken() ? true : false;
}